Jump to content
Sign in to follow this  
m1k3y

languages problems after install, "Warning: require(includes/languages/.php)"

Recommended Posts

hi,

 

i have installed osCommerce onto a local server on my pc using the xammp as suggested, i started bilding up my catalog, all was going well. then i went onto the catalog to test it out and see if it was working. but every link i click on i get the following error.

 

Warning: require(includes/languages/.php) [function.require]: failed to open stream: No such file or directory in C:\Program Files\xampp\htdocs\catalog\includes\application_top.php on line 286

 

Fatal error: require() [function.require]: Failed opening required 'includes/languages/.php' (include_path='.;C:\Program Files\xampp\php\pear\') in C:\Program Files\xampp\htdocs\catalog\includes\application_top.php on line 286

 

i am new to php so any help would me much appreciated. and any solutions could you please explain so an idiot could understand. like i said im new!

 

cheers mikey

Share this post


Link to post
Share on other sites
hi,

 

i have installed osCommerce onto a local server on my pc using the xammp as suggested, i started bilding up my catalog, all was going well. then i went onto the catalog to test it out and see if it was working. but every link i click on i get the following error.

 

Warning: require(includes/languages/.php) [function.require]: failed to open stream: No such file or directory in C:\Program Files\xampp\htdocs\catalog\includes\application_top.php on line 286

 

Fatal error: require() [function.require]: Failed opening required 'includes/languages/.php' (include_path='.;C:\Program Files\xampp\php\pear\') in C:\Program Files\xampp\htdocs\catalog\includes\application_top.php on line 286

 

i am new to php so any help would me much appreciated. and any solutions could you please explain so an idiot could understand. like i said im new!

 

cheers mikey

 

Mikey, did you get a resolution to your problem? I am getting the same error message with my production my web site for any international customer.

 

Philip

Share this post


Link to post
Share on other sites
Mikey, did you get a resolution to your problem? I am getting the same error message with my production my web site for any international customer.

 

Philip

The problem was that somehow the default language was no longer checked. Once I checked, in my case English, as the default language the problem was resolved. Dpcumenting the resolutions others can have as a reference incase they run up against the same problem. :thumbsup:

Share this post


Link to post
Share on other sites

i have the same problem with my site when i install oscommerce....

i find the problem in php.ini

i edited the file and it is disponible at www.mongelluzzihoreca.com/php.ini

good luck

Share this post


Link to post
Share on other sites
i have the same problem with my site when i install oscommerce....

i find the problem in php.ini

i edited the file and it is disponible at www.mongelluzzihoreca.com/php.ini

good luck

Hi, would you care to note which config entry to change rather a straight replacing of the php.ini? Many thks.

Share this post


Link to post
Share on other sites

just download the file and prove you self. the php.ini is write different a one provider at another. scuse for my bad english :)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×